Ubuntu Archive Auto-Sync katie at jackass.ubuntu.com
Wed Nov 9 10:30:29 CST 2005


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Origin: Debian/unstable
Format: 1.7
Date: Wed,  09 Nov 2005 16:21:08 +0000
Source: quantlib-swig
Binary: quantlib-python, quantlib-ruby
Architecture: source
Version: 0.3.11-2
Distribution: dapper
Urgency: medium
Maintainer: Dirk Eddelbuettel <edd at debian.org>
Changed-By: Ubuntu Archive Auto-Sync <katie at jackass.ubuntu.com>
Closes: 103124 119224 119606 121698 130278 142200 142430 207320 259132 286995 336862
Changes: 
 quantlib-swig (0.3.11-2) unstable; urgency=low
 .
   * debian/rules: Disable regression tests if not on i386 (Closes: #336862)
 .
 quantlib-swig (0.3.11-1) unstable; urgency=low
 .
   * New upstream release
 .
   * This release corresponds to a new upstream source packaging scheme
     that is comprising both the former Debian packages quantlib-python and
     quantlib-ruby -- as well as Swig bindings for Guile, MzScheme, Perl,
     Java, Csharp which have not yet been covered for Debian.
 .
   * As this continues the quantlib-python package, we extend the exiting 
     changelog.
 .
 quantlib-python (0.3.10-2) unstable; urgency=low
 .
   * debian/control: Upgraded Build-Depends: for Boost libraries to 1.33.0-1
 .
 quantlib-python (0.3.10-1) unstable; urgency=low
 .
   * New upstream release
 .
   * Following the first gcc/g++ 4.0 release of QuantLib
   * debian/control: Update Build-Depends: to gcc (>= 4:4.0), g++ (>= 4:4.0),
     libboost-dev (>= 1.32.0+1.33.0-cvs20050727), 
     libboost-test-dev (>= 1.32.0+1.33.0-cvs20050727), 
     libquantlib0-dev (>= 0.3.10)
   
   * debian/control: Update Standards-Version: to 3.6.2.1
 .
 quantlib-python (0.3.9-3) unstable; urgency=medium
 .
   * Rebuilt again under QuantLib 0.3.9-3 with renamed libquantlib
   * debian/control: Update Build-Depends to libquantlib0-dev (>= 0.3.9-3)
 .
   * Urgency set to medium to permit migration into testing
 .
 quantlib-python (0.3.9-2) unstable; urgency=medium
 .
   * Rebuilt under QuantLib 0.3.9-2 with its improved shlibs file
   * debian/control: Update Build-Depends to libquantlib0-dev (>= 0.3.9-2)
 .
   * debian/rules: Also use '-O0 -g0' flags on mips and mipsel 
   
   * Urgency set to medium to permit migration into testing
 .
 quantlib-python (0.3.9-1) unstable; urgency=low
 .
   * New upstream release 0.3.9 announced today
 .
   * tests/QuantLibTestSuite.py: Still commenting out call to 
     TermStructureTest + InstrumentTest as tests still hang during build
 .
 quantlib-python (0.3.8.rc.20050407-1) unstable; urgency=low
 .
   * Initial release candidate for 0.3.9 dated 2005-04-07 
   
   * debian/watch: Added watch file
   
   * debian/control: Build-Depends on QuantLib 0.3.9 release candidate
 .
   * tests/QuantLibTestSuite.py: Still commenting out call to 
     TermStructureTest as tests continues to hang during build
 .
   * debian/rules: Change how Swig files are installed into package
   
   * debian/rules: Changed to build for Python 2.4
   * debian/control: Change Build-Depends to python2.4-dev
   
 .
 quantlib-python (0.3.8-2) unstable; urgency=low
 .
   * tests/QuantLibTestSuite.py: Back to also commenting out call to 
     InstrumentTest as it fails on non0i386 arches (Closes: #286995)
 .
 quantlib-python (0.3.8-1) unstable; urgency=low
 .
   * New upstream release 0.3.8 announced today
   * debian/control: Build-Depends on libquantlib0-dev (>= 0.3.8)
   * tests/QuantLibTestSuite.py: Still commenting out call to 
     TermStructureTest as tests continues to hang during build
 .
 quantlib-python (0.3.7-1) unstable; urgency=low
 .
   * New upstream release 0.3.7 (to be announced in the next few days)
   * debian/control: Standards-Version upgraded to 3.6.1.1
   * debian/control: Build-Depends on libquantlib0-dev (>= 0.3.7)
   * debian/control: Also Depends: on python (Closes: #259132)
   * tests/QuantLibTestSuite.py: Still commenting out calls to 
     InstrumentTest, and TermStructureTest, as tests hangs during build
 .
 quantlib-python (0.3.6.rc.20040611-1) unstable; urgency=low
 .
   * Initial release candidate for 0.3.7 dates 2004-06-11
   * debian/control: Build-Depends on libquantlib0-dev (>= 0.3.6.rc.20040611)
   * debian/control: Added Build-Depends for libboost-dev, libboost-regex-dev 
   
   * tests/QuantLibTestSuite.py: Per upstream suggestion, commented out 
     call to InstrumentTest, and TermStructureTest, as tests hangs 
 .
 quantlib-python (0.3.6-1) unstable; urgency=low
 .
   * New upstream release 0.3.6
   * debian/control: Build-Depends on libquantlib0-dev (>= 0.3.6)
 .
 quantlib-python (0.3.5-1) unstable; urgency=low
 .
   * New upstream release 0.3.5 (final 'golden master')
   * debian/control: Build-Depends on libquantlib0-dev (>= 0.3.5)
 .
 quantlib-python (0.3.4.20040316-1) unstable; urgency=low
 .
   * Upgraded to 'golden master' pre-release of 0.3.5 dated 2004-03-16
   * debian/control: Build-Depends on libquantlib0-dev (>= 0.3.4.20040316)
 .
 quantlib-python (0.3.4-2) unstable; urgency=low
 .
   * Upgraded to actual release 0.3.4 dated 2003-11-18
 .
 quantlib-python (0.3.4-1) unstable; urgency=low
 .
   * Upgraded to 'golden master' pre-release of 0.3.4 
   * debian/control: Build-Depends upgraded to libquantlib0-dev (>= 0.3.4)
 .
 quantlib-python (0.3.3-1) unstable; urgency=low
 .
   * Upgraded to new upstream version 0.3.3 (to be announced next week)
   * debian/control: Build-Depends upgraded to libquantlib0-dev (>= 0.3.3)
   * debian/control: Standards-Version upgraded to 3.6.1.0
 .
 quantlib-python (0.3.2.20030727-3) unstable; urgency=low
 .
   * debian/control: Better Depends on python2.3 via ${python:Depends}
   * debian/rules: Use dh_python before dh_installdeb
   * Thanks to Josselin for swinging with the clue bat (Closes: #207320)
 .
 quantlib-python (0.3.2.20030727-2) unstable; urgency=low
 .
   * The 'we all owe doko so I may as well do the python2.3 conversion' release
   * debian/rules: PYTHON changed to python2.3
   * debian/control: Build-Depends changed to python2.3-dev
   * debian/control: Depends changed to python 2.3 as well
   * debian/control: Standards-Version increased to 3.6.0.1
 .
 quantlib-python (0.3.2.20030727-1) unstable; urgency=low
 .
   * Upgraded to 'golden master' pre-release of 0.3.3 dated 2003-07-27
     [ N.B.: there was no 0.3.2 release ]
   * debian/rules: Move files from usr/include/QuantLib-Python (instead
     of the former usr/share/QuantLib-Python) to usr/share/quantlib-python
   * debian/control: Section changed to python
   * debian/control: Standards-Version upgraded to 3.6.0
 .
 quantlib-python (0.3.1-1) unstable; urgency=low
 .
   * Upgraded to new upstream release 0.3.1
 .
 quantlib-python (0.3.0.9.1-1) unstable; urgency=low
 .
   * Upgraded to second 'golden master' pre-release of 0.3.1 
   * Renamed 0.3.0.9.1 to maintain package version sorting once 0.3.1 is out
   * debian/{rules,control}: No longer set g++ to 3.0 or 3.2 on different 
     platforms as gcc-3.2 (and g++-3.2) are now the default
 .
 quantlib-python (0.3.0.9-4) unstable; urgency=low
 .
   * debian/rules: Set CXX as well as CC
 .
 quantlib-python (0.3.0.9-3) unstable; urgency=low
 .
   * correct small snafus with last upload
 .
 quantlib-python (0.3.0.9-2) unstable; urgency=low
 .
   * debian/rules: Don't run 'make test' on m68k either as it times out
   * debian/{control, rules}: Use g++-3.2 for s390 as for QuantLib
 .
 quantlib-python (0.3.0.9-1) unstable; urgency=low
 .
   * Upgraded to new 'golden master' pre-release of 0.3.1
   * Renamed 0.3.0.9 to maintain package version sorting once 0.3.1 is out
   * debian/control: Depends on python (>= 2.2) | python2.2
 .
 quantlib-python (0.3.0-4) unstable; urgency=low
 .
   * debian/rules: Building against Python 2.2, so use PYTHON=python2.2
   * debian/control: Changed Build-Depends to python2.2-dev, and Depends to
     python (>= 2.2), python (<< 2.3)
 .
 quantlib-python (0.3.0-3) unstable; urgency=low
 .
   * debian/rules: Don't touch 'QuantLib/quantlib_wrap.cpp'
   * debian/rules: Skip errors in 'make test' (Closes: #142200, #142430)
   * setup.py: Don't need the CFLAGS treatment, distutils does that for us
   
 .
 quantlib-python (0.3.0-2) unstable; urgency=low
 .
   * setup.py: Small upstream patch to enable CFLAGS + CC to be passed
 .
 quantlib-python (0.3.0-1) unstable; urgency=low
 .
   * Upgraded to new upstream release 0.3.0
 .
 quantlib-python (0.2.1.cvs20020322-1) unstable; urgency=low
 .
   * Upgraded to new upstream snapshot release 0.3.0b1-20020322
 .
 quantlib-python (0.2.1cvs20020120-2) unstable; urgency=low
 .
   * debian/rules: Added -ffunction-sections to compile command for hppa
   * debian/control: Also Build-Depends on gcc-3.0 for ia64
 .
 quantlib-python (0.2.1cvs20020120-1) unstable; urgency=low
 .
   * Upgraded to new upstream snapshot release 3.0a5-20020120
   * Adapated version for proper Debian version number sorting
   * This upstream version now compiles on Alpha (Closes: #121698)
   * debian/rules: Don't run 'setup.py test' on arm (Closes: #130278)
   * debian/control: Depends on python (>= 2.1), python (<< 2.2)
 .
 quantlib-python (0.2.1-2) unstable; urgency=low
 .
   * debian/control: Build-Depends on libquantlib0-dev (>= 0.2.1)
 .
 quantlib-python (0.2.1-1) unstable; urgency=low
 .
   * Upgraded to new upstream release 0.2.1
   * debian/{rules,control}: Use g++-3.0 on ia64
 .
 quantlib-python (0.2.0-3) unstable; urgency=low
 .
   * debian/rules: Call setup.py with python2.1 (Closes: #119606)
 .
 quantlib-python (0.2.0-2) unstable; urgency=low
 .
   * Adapted Python Policy (as of version 0.3.7)
   * debian/control: (Build-)Depends python2.1(-dev) (Closes: #119224) 
 .
 quantlib-python (0.2.0-1) unstable; urgency=low
 .
   * Upgraded to new upstream release 0.2.0
 .
 quantlib-python (0.1.9-2) unstable; urgency=low
 .
   * debian/control: Added more Build-Depends detected by dpkg-genbuilddeps
   * debian/control: Added python-distutils to Build-Depends (Closes: #103124)
   
 .
 quantlib-python (0.1.9-1) unstable; urgency=low
 .
   * Initial Debian release.
Files: 
 76842ec64ad4243b12b37cdf51521228 781 None optional quantlib-swig_0.3.11-2.dsc
 5e76318cd165bc41bbfa87d6045350ea 7659 None optional quantlib-swig_0.3.11-2.diff.gz
 9e0ca671d453c854ed6afc3d40e83fbe 1442811 None optional quantlib-swig_0.3.11.orig.tar.gz
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iQEVAwUBQ3Ih9AF4adwMEr3XAQK77wf+LKXik6aC0mso0cA55l0gtGMkDIur82Hc
az5HA1+PRGIcQuXmO7nGJcp0h81AeggQLDURXziUsJhfneh8WH2kPmvp0ppMqTUr
TXBf1okxKsd92zn7VOjKMSK4ay7x6TX5EkdricSWCowgZyQrqPLrexJ+v11VbU+S
flllj9DU11aRT4mbW2FedhsfP1PLWAbLX/ibXAj7vED55JF7FXLTkYzxv5h70+Tb
enYfYIpEBUzXH4sBPpp+YcLFWodVcOvI+ChgsFq456r7K5nBJ0b8801pgKZOadUm
rWMje/7hWrRJKsCVMAaA6c7HXVnpMUU5FnoeZ2qAkTdYImvEhYcMow==
=U/E4
-----END PGP SIGNATURE-----


Accepted:
quantlib-swig_0.3.11-2.diff.gz
  to pool/universe/q/quantlib-swig/quantlib-swig_0.3.11-2.diff.gz
quantlib-swig_0.3.11-2.dsc
  to pool/universe/q/quantlib-swig/quantlib-swig_0.3.11-2.dsc
quantlib-swig_0.3.11.orig.tar.gz
  to pool/universe/q/quantlib-swig/quantlib-swig_0.3.11.orig.tar.gz




More information about the ubuntu-changes-auto mailing list